RequireJS 2.0 verfügbar
Kommentare

Die Version 2.0 von RequireJS ist jetzt verfügbar. In der neuen Version werden Legacy-Skripte mehr wie Module behandelt und Large-Scale-Module werden besser unterstützt. Auch der Umgang mit Fehlern wurde

Die Version 2.0 von RequireJS ist jetzt verfügbar. In der neuen Version werden Legacy-Skripte mehr wie Module behandelt und Large-Scale-Module werden besser unterstützt. Auch der Umgang mit Fehlern wurde einer Generalüberholung unterzogen.

Unter requirejs.org kann der Modul-Lader kostenlos heruntergeladen werden. Da der Code von Version 2.0 noch relativ neu ist, wird die Community dazu aufgefordert, auftretende Fehler so schnell wie möglich in der Problemecke bei GitHub zu melden.

RequireJS ist ein JavaScript Dateien- und Modul-Lader. Er ist optimiert für die Nutzung im Browser, kann aber auch in anderen JavaScript-Umgebungen wie Rhino oder Node verwendet werden. Der Modul-Lader soll die Geschwindigkeit und die Qualität des Codes verbessern.

Unsere Redaktion empfiehlt:

Relevante Beiträge

Meinungen zu diesem Beitrag

X
- Gib Deinen Standort ein -
- or -